### Name: AR
### Title: Estimating (adjusted) attributable risks from case-control data
### Aliases: AR_woC AR_wC
### Keywords: manip

### ** Examples


##### use of function 'AR_woC':       #####
##### attributable risk for exposure2 #####
##### adjusted for exposure 1         #####

set.seed(2007)
dicho            <- c(0,1)
cc_state         <- sample(dicho, 100, replace=TRUE)
exposure1        <- sample(dicho, 100, replace=TRUE, prob=c(0.7, 0.3))
exposure2        <- sample(dicho, 100, replace=TRUE, prob=c(0.4, 0.6))
relation         <- as.formula(cc_state~exposure1+exposure2)
data_exp         <- cbind(exposure1, exposure2)
bincom           <- bincombinations(2)
colnames(bincom) <- colnames(data_exp)
AR_exposure2     <- AR_woC(cc_state, data_exp, relation, bincom, c(2))

##### use of function 'AR_wC':               #####
##### joint attributable risk for exposure1  #####
##### and exposure2 adjusted for confounder1 #####

set.seed(2008)
dicho            <- c(0,1)
cc_state         <- sample(dicho, 100, replace=TRUE)
exposure1        <- sample(dicho, 100, replace=TRUE, prob=c(0.7, 0.3))
exposure2        <- sample(dicho, 100, replace=TRUE, prob=c(0.4, 0.6))
cat_confounder   <- c(0,1,2,3)
confounder1      <- sample(cat_confounder, 100, replace=TRUE)
rel_mod          <- glm(cc_state~exposure1+exposure2+confounder1, 
                        family=binomial)
data_exp         <- cbind(exposure1, exposure2)
conf             <- matrix(confounder1, ncol=1)
colnames(conf)   <- c("confounder1")
bincom           <- bincombinations(2)
colnames(bincom) <- colnames(data_exp)
AR_exposure1_2   <- AR_wC(cc_state, data_exp, conf, rel_mod, bincom)




